Back to Xiaohongshu (RedNote)
TikHub·Xiaohongshu (RedNote)
Xiaohongshu App V2: Search notes
/api/v1/xiaohongshu/app_v2/search_notessync$0.015 / callSearch Xiaohongshu notes by keyword, supports multiple sort types, note type filters, and time filters (TikHub · Xiaohongshu App V2)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| keyword | string | yes | Search keyword |
| page | integer | — | Page number, start from 1 (default 1) |
| sort_type | string | — | Sort type (default "general") |
| note_type | string | — | /Note type: , , , (default "不限") |
| time_filter | string | — | /Time filter: , , , (default "不限") |
| search_id | string | — | Search ID for pagination (default "") |
| search_session_id | string | — | Search session ID for pagination (default "") |
| source | string | — | Source (default "explore_feed") |
| ai_mode | integer | — | AI mode: 0=off, 1=on (default 0) |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/app_v2/search_notes","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.